Account
Create a new workspace and attach the authenticated caller as the owner.
Authorizations
AuthorizationstringRequired
API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
Body
Request body for POST /v1/me/workspaces.
slugstring · min: 2 · max: 63RequiredPattern:
^[a-z0-9][a-z0-9-]*[a-z0-9]$namestring · min: 1Required
backend_org_idstring · min: 1 · nullableOptional
Responses
201
Successful Response
application/json
idstring · uuidRequired
slugstringRequired
namestringRequired
backend_org_idstring · nullableRequired
regionstringRequired
connector_typestring · nullableRequired
timezonestring · nullableRequired
topic_modeling_enabledbooleanRequired
delta_sharing_enabledbooleanRequired
delta_sharing_modestring · enumRequiredPossible values:
delta_sharing_identifierstring · nullableRequired
provisioned_atstring · date-time · nullableRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
403
Missing the workspaces:write scope (developer grant) or unsupported principal type.
409
Workspace slug already taken.
422
Invalid request body.
503
Identity service unavailable.
post/v1/me/workspaces
POST /v1/me/workspaces HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"slug": "text",
"name": "text",
"backend_org_id": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"slug": "text",
"name": "text",
"backend_org_id": "text",
"region": "text",
"connector_type": "text",
"timezone": "text",
"topic_modeling_enabled": true,
"delta_sharing_enabled": true,
"delta_sharing_mode": "open",
"delta_sharing_identifier": "text",
"provisioned_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

